Interface SampleRequest.Builder
- All Superinterfaces:
AwsRequest.Builder,Buildable,CopyableBuilder<SampleRequest.Builder,,SampleRequest> SagemakerJobRuntimeRequest.Builder,SdkBuilder<SampleRequest.Builder,,SampleRequest> SdkPojo,SdkRequest.Builder
- Enclosing class:
SampleRequest
@Mutable
@NotThreadSafe
public static interface SampleRequest.Builder
extends SagemakerJobRuntimeRequest.Builder, SdkPojo, CopyableBuilder<SampleRequest.Builder,SampleRequest>
-
Method Summary
Modifier and TypeMethodDescriptionThe raw inference request body in OpenAI-compatible JSON format.The job ARN that identifies which model session to route the inference request to.overrideConfiguration(Consumer<AwsRequestOverrideConfiguration.Builder> builderConsumer) Add an optional request override configuration.overrideConfiguration(AwsRequestOverrideConfiguration overrideConfiguration) Add an optional request override configuration.trajectoryId(String trajectoryId) The trajectory ID for grouping turns into a single rollout.Methods inherited from interface software.amazon.awssdk.awscore.AwsRequest.Builder
overrideConfigurationMethods inherited from interface software.amazon.awssdk.utils.builder.CopyableBuilder
copyMethods inherited from interface software.amazon.awssdk.services.sagemakerjobruntime.model.SagemakerJobRuntimeRequest.Builder
buildMethods inherited from interface software.amazon.awssdk.utils.builder.SdkBuilder
applyMutation, buildMethods inherited from interface software.amazon.awssdk.core.SdkPojo
equalsBySdkFields, sdkFieldNameToField, sdkFields
-
Method Details
-
jobArn
The job ARN that identifies which model session to route the inference request to.
- Parameters:
jobArn- The job ARN that identifies which model session to route the inference request to.- Returns:
- Returns a reference to this object so that method calls can be chained together.
-
trajectoryId
The trajectory ID for grouping turns into a single rollout. Each turn (prompt and response) is captured for later use.
- Parameters:
trajectoryId- The trajectory ID for grouping turns into a single rollout. Each turn (prompt and response) is captured for later use.- Returns:
- Returns a reference to this object so that method calls can be chained together.
-
body
The raw inference request body in OpenAI-compatible JSON format.
- Parameters:
body- The raw inference request body in OpenAI-compatible JSON format.- Returns:
- Returns a reference to this object so that method calls can be chained together.
-
overrideConfiguration
Description copied from interface:AwsRequest.BuilderAdd an optional request override configuration.- Specified by:
overrideConfigurationin interfaceAwsRequest.Builder- Parameters:
overrideConfiguration- The override configuration.- Returns:
- This object for method chaining.
-
overrideConfiguration
SampleRequest.Builder overrideConfiguration(Consumer<AwsRequestOverrideConfiguration.Builder> builderConsumer) Description copied from interface:AwsRequest.BuilderAdd an optional request override configuration.- Specified by:
overrideConfigurationin interfaceAwsRequest.Builder- Parameters:
builderConsumer- AConsumerto which an emptyAwsRequestOverrideConfiguration.Builderwill be given.- Returns:
- This object for method chaining.
-